%define name krusader
%define version 1.00 
%define release 1mdk

Summary: 	A twin panel file manager for kde
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	%{name}-%{version}.tar.bz2
License: 	GPL
Epoch:		2
Group: 		File tools
BuildRoot: 	%{_tmppath}/%{name}-buildroot
URL: 		http://krusader.sourceforge.net
Requires: 	kdelibs libqt2

BuildRequires: gcc-cpp db3 readline pam popt libtermcap2 zlib1 XFree86-devel XFree86-libs Mesa-common
BuildRequires: XFree86-static-libs automake arts autoconf diffutils kdelibs file m4 texinfo gettext
BuildRequires: libjpeg62-devel kdelibs-devel gcc-c++ libbinutils2 libbzip2_1 openssl db1 freetype2
BuildRequires: libjpeg62 libmng1 libpng3 libqt2 libqt2-devel rpm-build


%description
Krusader is a new "old-school" file manager and ftp client.
It's twin-panel look follows in the footsteps of the great
file managers of old: GNU's Midnight Commander and
the DOS all time favorite Norton Commander.
Krusader features:
intuative GUI, complete drag n' drop support, transpernt handeling of archives 
and ftp volumes, bookmarks (with bookmark manager ), pack and unpack from the 
main window, command line with history and "run in terminal" option, internal
viewer, built-in mount manager with auto-mount option and more


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %name-%version

%build
export CFLAGS=$RPM_OPT_FLAGS
export CXXFLAGS=$RPM_OPT_FLAGS
# %%configure doesn't work
./configure --prefix=%_prefix \
	--bindir=%_bindir \
	--datadir=%_datadir \
        --disable-rpath \
	--disable-debug 

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall KDEDIR=$RPM_BUILD_ROOT%{_prefix} kde_minidir=$RPM_BUILD_ROOT%{_miconsdir}

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}

kdedesktop2mdkmenu.pl krusader "Applications/File tools"    %buildroot/%_datadir/applnk/Applications/krusader.desktop                             %buildroot/%_menudir/krusader

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %name.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog TODO COPYING krusader.lsm
%doc %{_datadir}/doc/HTML/en/*
%_bindir/*
%_datadir/applnk/Applications/krusader.desktop

%dir %_datadir/apps/krusader/
%_datadir/apps/krusader/*.rc
%_datadir/apps/krusader/*.png
%_datadir/apps/krusader/*.jpg

%dir %_datadir/apps/krusader/icons/
%dir %_datadir/apps/krusader/icons/hicolor/
%dir %_datadir/apps/krusader/icons/hicolor/16x16/
%dir %_datadir/apps/krusader/icons/hicolor/16x16/actions/
%_datadir/apps/krusader/icons/hicolor/16x16/actions/*.png

%dir %_datadir/apps/krusader/icons/hicolor/22x22/
%dir %_datadir/apps/krusader/icons/hicolor/22x22/actions/
%_datadir/apps/krusader/icons/hicolor/22x22/actions/*.png

%dir %_datadir/apps/krusader/icons/hicolor/32x32/
%dir %_datadir/apps/krusader/icons/hicolor/32x32/actions/
%_datadir/apps/krusader/icons/hicolor/32x32/actions/*.png

%_menudir/*

#%{_iconsdir}/krusader.png
%_datadir/icons/hicolor/16x16/apps/krusader.png
%_datadir/icons/hicolor/32x32/apps/krusader.png

%_datadir/mimelnk/application/*.desktop 

%changelog
* Wed Jan 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.00-1mdk
- Update code (1.0)

* Wed Dec 19 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0rc1-1mdk
- Update code (1.0rc1)

* Tue Dec 04 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.99-1mdk
- Update code 

* Mon Oct 29 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.98-1mdk
- Update code

* Sat Oct 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.96-0.beta1.2mdk
- Rebuild against libpng3

* Mon Sep 24 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.96-0.beta1.1mdk
- update code (beta2)

* Tue Sep 04 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.96-0.beta1.2mdk
- Fix %%dir

* Tue Sep 04 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.96-0.beta1.1mdk
- Update code (0.96beta1)

* Wed Jul 25 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.95-1mdk
- Update code (0.95)

* Thu Jul 19 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.94-1mdk
- update code (0.94)

* Fri Jun 22 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.93-2mdk
- clean

* Wed Jun 06 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.93-1mdk
- update code (0.93)

* Mon Jun 04 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.92-2mdk
- Rebuild with kde2.2alpha2

* Mon May 21 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.92-1mdk
- update code (0.92)

* Mon May 14 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.91-1mdk
- Update code (0.91)

* Wed May 2 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.90-1mdk
- Update code (0.90)

* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 0.79-5mdk
- Move KD menu entry in %%_datadir/applnk
- Fix BuildRequires for non %%ix86 architectures
- Rebuild against latest GCC

* Wed Mar 28 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.79-4mdk
- Add build requires

* Tue Mar 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.79-3mdk
- Clean spec

* Tue Mar 20 2001 David BAUDENS <baudens@mandrakesoft.com> 0.79-2mdk
- Rebuild against Qt 2.3.0

* Tue Feb 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.79-1mdk
- updated to 0.79

* Fri Feb  2 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.75-1mdk
- adapted package for Mandrake
